FrozenError when exporting content to PDF in some languages

2020-01-17 20:13 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 4.1.1   

Resolution: Fixed Affected version:  

Description

reported on https://github.com/naitoh/rbpdf/issues/55

Associated revisions

Revision 19435 - 2020-01-18 10:58 - Go MAEDA

FrozenError when exporting gantt to PDF in some languages (#32832).

Patch by Pavel Rosický.

Revision 19436 - 2020-01-18 11:06 - Go MAEDA

Merged r19435 from trunk to 4.1-stable (#32832).

History

#1 - 2020-01-18 00:54 - Go MAEDA

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

- Target version set to 4.1.1

I think the change in SetFontStyle can be ommitted and fixing only SetFont is enough. What do you think?

diff --git a/lib/redmine/export/pdf.rb b/lib/redmine/export/pdf.rb

index c8189367b..85beb8bdb 100644

--- a/lib/redmine/export/pdf.rb

+++ b/lib/redmine/export/pdf.rb

@@ -52,6 +52,7 @@ module Redmine

         end

         def SetFont(family, style='', size=0, fontfile='')

+          style = +style

           # FreeSerif Bold Thai font has problem.

           style.delete!('B') if family.to_s.casecmp('freeserif') == 0

           # DejaVuSans Italic Arabic and Persian font has problem.

#2 - 2020-01-18 08:42 - Pavel Rosický

you're right

#3 - 2020-01-18 08:45 - Pavel Rosický

- File fix_pdfexport2.patch added

#4 - 2020-01-18 10:59 - Go MAEDA

- Subject changed from pdf export - frozen error to FrozenError when exporting gantt to PDF in some languages

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.
#5 - 2020-01-19 01:06 - Go MAEDA

- Subject changed from FrozenError when exporting gantt to PDF in some languages to FrozenError when exporting content to PDF in some

languages

Files

fix_pdfexport.patch 1.46 KB 2020-01-17 Pavel Rosický

fix_pdfexport2.patch 1.3 KB 2020-01-18 Pavel Rosický
